Skip to navigation

Remove templates from account favorites

View as Markdown

Remove one or more templates from the account favorites.

Your request should include each template to remove as a separate favoriteTemplatesContentItem JSON object, like this:

{
"favoriteTemplates": [
{
"templateId": "6bc0584f-xxxx-xxxx-xxxx-35ab28cc44e1"
},
{
"templateId": "8ae9b3452-xxxx-xxxx-xxx-ac0de23fa57f"
}
]
}

The response includes the IDs of the templates that were successfully removed from your favorites. To get the account’s remaining favorite templates, use the getFavoriteTemplates endpoint.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

Request

This endpoint expects an object: favoriteTemplatesInfo

errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
favoriteTemplateslist of objectsOptional
The favorite templates acted upon by the call.
templatesUpdatedCountintegerOptional

The number of templates successfully updated by the call. This property is read-only.

Response

Successful response.
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
favoriteTemplateslist of objectsOptional
The favorite templates acted upon by the call.
templatesUpdatedCountintegerOptional

The number of templates successfully updated by the call. This property is read-only.

Errors

400
Bad Request Error